Subject: bug#35342: configure.ac: scan also libtinfow for tputs()

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Apr 2019 17:16:28 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Sat, 20 Apr 2019 09:44:33 -0400
> Cc: [email-masked]
> 
> > on my system I have no libtinfo, libncruses, libcurses, libterminfo and libtermcap.
> >
> > But I have libtinfow and libncursesw, and the former contains tputs.
> 
> > With emacs 26.2 this is not the case.
> 
> Yes, when you reported it previously (Bug#33977), it was only fixed on
> the master branch (what will become Emacs 27.1).  Should we backport [1:
> a3d52b3057] to emacs-26 (so it will be fixed in Emacs 26.3)?

OK, I guess, although I don't really understand whether tputs in
ncursesw is a drop-in replacement for its namesake in ncurses: we
don't use wide characters with the curses APIs, AFAIK.